Name:          gpgme
Epoch:         1
Version:       1.23.2
Release:       3mamba
Summary:       A library and tools designed to make access to GnuPG easier for applications
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnupg.org/related_software/gpgme/
Source:        https://www.gnupg.org/ftp/gcrypt/gpgme/gpgme-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libassuan-devel >= 0:3.0.1-1mamba
BuildRequires: pkgconfig
BuildRequires: gnupg2 >= 1.9.6
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post):%{__install_info}

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library designed to make access to GnuPG easier for applications
Obsoletes:     libgpg2 <= 1:1.23.2-2mamba
Obsoletes:     libgpgme16 <= 1:1.23.2-2mamba

%description -n lib%{name}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
Currently it uses GnuPG as its backend but the API isn't restricted to this engine; in fact we have already developed a backend for CMS (S/MIME).

%package -n lib%{name}-devel
Summary:       Devel files for libgpgme
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgpgmepp = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqgpgme = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgpgme = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gpgme = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libgpgme16-devel <= 1:1.23.2-2mamba

%description -n lib%{name}-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains static libraries and header files needed for development.

%package -n libgpgmepp
Summary:       gpgme C++ shared library
Group:         System/Libraries

%description -n libgpgmepp
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains the C++ shared library.

%package -n libqgpgme
Summary:       gpgme Qt shared library
Group:         System/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libqgpgme
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains the Qt shared library.

%package -n libqgpgme-devel
Summary:       Development files for libqgpgme
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqgpgme = %{?epoch:%epoch:}%{version}-%{release}

%description -n libqgpgme-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains static libraries and header files needed for development.

%package -n libqgpgme-qt6
Summary:       gpgme Qt6 shared library
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Group:         System/Libraries

%description -n libqgpgme-qt6
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains the Qt6 shared library.

%package -n libqgpgme-qt6-devel
Summary:       Development files for libqgpgme
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqgpgme-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqgpgme-qt6 = %{?epoch:%epoch:}%{version}-%{release}

%description -n libqgpgme-qt6-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
This package contains static libraries and header files needed for development.

%package -n python-gpg-py3
Group:         System/Libraries/Python
Summary:       Python bindings for gpgme
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     python-gpg-py36 < 1.18.0
Obsoletes:     python-gpg-py310 <= 1:1.23.2-2mamba
Obsoletes:     python-gpg-py27 <= 1:1.23.2-2mamba

%description -n python-gpg-py3
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications. It provides a High-Level Crypto API for encryption, decryption, signing, signature verification and key management.
Currently it uses GnuPG as its backend but the API isn't restricted to this engine; in fact we have already developed a backend for CMS (S/MIME).

%debug_package

%prep
%setup -q -c
#-D -T
#:<< _EOF

mv %{name}-%{version} gpgme
cd gpgme

# don't build for python 2.7, 3.6, 3.7, 3.9, 3.10
sed -i "s|2\.7|2.x|" configure.ac
sed -i "s|3\.6|3.x|" configure.ac
sed -i "s|3\.7|3.x|" configure.ac
sed -i "s|3\.9|3.x|" configure.ac
sed -i "s|3\.10|3.x|" configure.ac
# TODO: temporary disable build with python 3.12
sed -i "s|3\.12|3.x|" configure.ac

sed -i 's/-unknown//' autogen.sh
./autogen.sh

cd ..

cp -a gpgme gpgme-qt6

%build
#:<< _EOF
cd gpgme
%configure

%make

cd ../gpgme-qt6
%configure \
    --enable-languages=cpp,qt6

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C gpgme-qt6/lang/qt
%makeinstall -C gpgme

mv %{buildroot}%{python3_sitearch}/gpg-%{version}-py*.egg/gpg %{buildroot}%{python3_sitearch}/

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post
%install_info gpgme.info

%preun
%uninstall_info gpgme.info
:

%files
%defattr(-,root,root)
%{_bindir}/gpgme-tool
%{_bindir}/gpgme-json
%{_infodir}/gpgme.info*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgpgme.so.*
%doc gpgme/AUTHORS gpgme/COPYING

%files -n libgpgmepp
%defattr(-,root,root)
%{_libdir}/libgpgmepp.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_datadir}/aclocal/gpgme.m4
%{_includedir}/gpgme.h
%dir %{_includedir}/gpgme++
%{_includedir}/gpgme++/*
%{_libdir}/libgpgme.so
%{_libdir}/libgpgmepp.so
%{_datadir}/common-lisp/source/gpgme/*
%dir %{_libdir}/cmake/Gpgmepp
%{_libdir}/cmake/Gpgmepp/Gpgme*.cmake
%{_libdir}/pkgconfig/gpgme-glib.pc
%{_libdir}/pkgconfig/gpgme.pc
%doc gpgme/ChangeLog gpgme/NEWS gpgme/README gpgme/THANKS gpgme/TODO

%files -n libqgpgme
%defattr(-,root,root)
%{_libdir}/libqgpgme.so.*

%files -n libqgpgme-devel
%defattr(-,root,root)
%dir %{_includedir}/QGpgME
%{_includedir}/QGpgME/*
%dir %{_includedir}/qgpgme
%{_includedir}/qgpgme/*
%{_libdir}/libqgpgme.so
%dir %{_libdir}/cmake/QGpgme
%{_libdir}/cmake/QGpgme/QGpgme*.cmake

%files -n libqgpgme-qt6
%defattr(-,root,root)
%{_libdir}/libqgpgmeqt6.so.*

%files -n libqgpgme-qt6-devel
%defattr(-,root,root)
%{_libdir}/libqgpgmeqt6.so
%dir %{_libdir}/cmake/QGpgmeQt6
%{_libdir}/cmake/QGpgmeQt6/QGpgmeQt6*.cmake

%files -n python-gpg-py3
%defattr(-,root,root)
%dir %{python3_sitearch}/gpg-%{version}-py*.egg
%{python3_sitearch}/gpg-%{version}-py*.egg/*
%dir %{python3_sitearch}/gpg
%{python3_sitearch}/gpg/*

%changelog
* Sat Aug 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23.2-3mamba
- don't build and obsolete py27 and py310 packages; obsolete libgpgme16

* Sun Jul 07 2024 Automatic Build System <autodist@mambasoft.it> 1.23.2-2mamba
- rebuilt by autoport with build requirements: libassuan-devel>=0:3.0.1-1mamba

* Thu Jan 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23.2-1mamba
- update to 1.23.2
- source renamed from libgpgme to gpgme
- added libqgpgme-qt6{,-devel} subpackages

* Thu Oct 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22.0-1mamba
- update to 1.22.0

* Thu Oct 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.0-3mamba
- rebuilt with python3 == 3.11

* Sat Aug 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.0-2mamba
- python-gpg-py3{10}: fix gpg module installation path

* Sat Aug 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.0-1mamba
- update to 1.18.0

* Mon Jan 11 2021 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 1.15.0-1mamba
- automatic version update by autodist

* Sat Jul 18 2020 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 1.13.1-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Mon Apr 23 2018 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-2mamba
- bump epoch to allo upgrade of former release 16.08

* Sun Apr 09 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9.0-1mamba
- update to 1.9.0

* Mon Jan 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-3mamba
- -devel: require libqgpgme

* Tue Dec 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-2mamba
- fix cmake file and split libraries into packages

* Mon Dec 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Sat Sep 05 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Aug 16 2015 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Sun May 03 2015 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic update by autodist

* Sat Dec 27 2014 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Wed May 08 2013 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Jun 24 2011 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Tue Jan 19 2010 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-1mamba
- automatic update by autodist

* Sat Apr 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1mamba
- update to 1.1.6

* Wed Mar 21 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.4-1qilnx
- update to version 1.1.4 by autospec
- also fixes the security issue CVE-2007-1263

* Sun Mar 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1qilnx
- update to version 1.1.3 by autospec

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.0-1qilnx
- update to version 1.1.0 by autospec
- specfile fixes: run ldconfig, install/uninstall info files, use rpm macros

* Tue Oct 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1qilnx
- first build
